org.fourthline.cling.model

## Class VariableValue

- java.lang.Object
- - org.fourthline.cling.model.VariableValue

- Direct Known Subclasses:
    ActionArgumentValue, StateVariableValue

      public class VariableValue
      extends Object

  Encapsulates a variable or argument value, validates and transforms it from/to a string representaion.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableValue(Datatype datatype, Object value)` Creates and validates a variable value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Datatype` | `getDatatype()`
    `Object` | `getValue()`
    `protected void` | `logInvalidXML(String s)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableValue

          public VariableValue(Datatype datatype,
                               Object value)
                        throws InvalidValueException

      Creates and validates a variable value.

      If the given value is a `String`, it will be converted with `Datatype.valueOf(String)`. Any other value will be checked, whether it matches the datatype and if its string representation is valid in XML documents (unicode character test).

      Note that for performance reasons, validation of a non-string value argument is skipped if executed on an Android runtime!

      Parameters:
        `datatype` - The type of the variable.
        `value` - The value of the variable.
      Throws:
        `InvalidValueException` - If the value is invalid for the given datatype, or if its string representation is invalid in XML.

  - ### Method Detail

    - #### getDatatype

          public Datatype getDatatype()

    - #### getValue

          public Object getValue()

    - #### logInvalidXML

          protected void logInvalidXML(String s)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.